Google CDN
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Google CDN action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Purge cache at hello-world / hello-world-cdn",
"type": "GOOGLE_CDN_INVALIDATE",
"trigger_time": "ON_EVERY_EXECUTION",
"input_type": "SCM_REPOSITORY",
"remote_path": "/merged",
"distribution_id": "hello-world",
"purge_all": false,
"url_map": "hello-world-cdn",
"integration": {
"identifier": "gcp"
},
"deployment_excludes": [
"/tmp/",
"*.log"
],
"deployment_includes": [
"/tmp/assets",
"/tmp/styles"
]
}'STATUS200 OK